Name:		sdcc
Version:	3.2.0
Release:	%mkrel 5
Summary:	SDCC - Small Device C Compiler
Group:		Development/Other
License:	GPLv2
URL:		http://sdcc.sourceforge.net/
Source:		http://sdcc.sourceforge.net/snapshots/sdcc.src/%{name}-src-%{version}.tar.bz2
Patch0:		sdcc-3.2.0-svn8246.diff.bz2
BuildRequires:	binutils
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gawk
BuildRequires:	gcc-c++
BuildRequires:	glibc-devel
BuildRequires:	gputils
BuildRequires:	latex2html
BuildRequires:	libgc-devel
BuildRequires:	libncurses-devel
BuildRequires:	libstdc++-devel
BuildRequires:	lyx
BuildRequires:	make
BuildRequires:	python
BuildRequires:	readline-devel
BuildRequires:	boost-devel
Requires:	gputils
Conflicts:	sdcc2.9
Provides:	%{name}-doc
Obsoletes:	%{name}-doc

%description
SDCC is a retargettable, optimizing ANSI-C compiler that targets the
Intel 8051, Maxim 80DS390, Zilog Z80 and the Motorola 68HC08 based
MCUs. Work is in progress on supporting the Microchip PIC16 and
PIC18 series. 

%prep
%setup -q -n %{name}
%patch0 -p1 -b .svn

%build
%configure2_5x \
	--enable-libgc \
	--enable-new-pics \
	--enable-doc
# disable parallel build as it breaks on 24-core jonund in mga BS
make

%install
rm -rf %{buildroot}
%makeinstall_std
mv -f %{buildroot}/%{_datadir}/doc installed-docs
rm -f %{buildroot}/%{_includedir}/*
rm -f %{buildroot}/%{_libdir}/*

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc doc/README* ChangeLog
%doc installed-docs/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.2.0-5.mga3
+ Revision: 381921
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 bertl <bertl> 3.2.0-4.mga3
+ Revision: 332111
- updated to 3.2.0-svn

* Tue Feb 21 2012 bertl <bertl> 3.1.0-5.mga2
+ Revision: 211681
- extended gccbug workaround to 4.6.x
- added --enable-new-pics to build enhanced cores libraries
- updated to 3.1.0

* Thu May 12 2011 tmb <tmb> 3.0.2-1.mga1
+ Revision: 97637
- update to 3.0.2 (Herbert Poetzl)
- pic16f72x support added (Herbert Poetzl)

* Sun May 01 2011 tmb <tmb> 3.0.0-4.mga1
+ Revision: 94077
- disable parallel make as it breaks the build
- spec cleanup
- bump rel to support upgrade from mdv

  + spuhler <spuhler>
    - changed rel to 1 from 3
    - imported package sdcc

